# NeedGroup

## Alias

&#x20;           *`NeedGroup, groups`*

## Source

&#x20;           *`added in Arivia v3`*

## Requires

&#x20;           *`no additional requirements`*

## Type

&#x20;           *`table { }`*

## Example

{% tabs %}
{% tab title="Single Group" %}

```lua
TEAM_CHIEF = DarkRP.createJob( 'Civil Protection Chief',
{
    color           = Color( 5, 255, 0, 255 ),
    model           = 'models/player/combine_soldier_prisonguard.mdl',
    description     = [[The Chief is the leader of the Civil Protection]],
    weapons         = { 'arrest_stick', 'unarrest_stick', 'weapon_deagle2', 'stunstick', 'door_ram', 'weaponchecker' },
    command         = 'chief',
    chief           = true,
    NeedGroup       = { 'vip' },
    category        = 'Civil Protection',
} )
```

{% endtab %}

{% tab title="Multiple Groups" %}

```lua
TEAM_CHIEF = DarkRP.createJob( 'Civil Protection Chief',
{
    color           = Color( 5, 255, 0, 255 ),
    model           = 'models/player/combine_soldier_prisonguard.mdl',
    description     = [[The Chief is the leader of the Civil Protection]],
    weapons         = { 'arrest_stick', 'unarrest_stick', 'weapon_deagle2', 'stunstick', 'door_ram', 'weaponchecker' },
    command         = 'chief',
    chief           = true,
    NeedGroup       = { 'vip', 'donator' },
    category        = 'Civil Protection',
} )
```

{% endtab %}

{% tab title="Alias" %}

```lua
TEAM_CHIEF = DarkRP.createJob( 'Civil Protection Chief',
{
    color           = Color( 5, 255, 0, 255 ),
    model           = 'models/player/combine_soldier_prisonguard.mdl',
    description     = [[The Chief is the leader of the Civil Protection]],
    weapons         = { 'arrest_stick', 'unarrest_stick', 'weapon_deagle2', 'stunstick', 'door_ram', 'weaponchecker' },
    command         = 'chief',
    chief           = true,
    groups          = { 'vip', 'donator' },
    category        = 'Civil Protection',
} )
```

{% endtab %}
{% endtabs %}

## Output

If player selects a job that has a group requirement; they will be presented with an error message in multiple locations:

![Example of player not meeting group requirement](/files/-MK-P59skL1WNcirn_sf)

## Notes

{% hint style="info" %}
Some server owners tend to use CustomCheck to validate groups; we'd recommend using **NeedGroup** instead for more functionality within Arivia.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://arivia.rlib.io/developers/jobs/parameters/needgroup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
